Bug 63951 - Maintainer-update: mail/spamd, sysutils/pf{stat,top} - update dependencies for pf in base
Summary: Maintainer-update: mail/spamd, sysutils/pf{stat,top} - update dependencies fo...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-03-08 23:40 UTC by Max Laier
Modified: 2004-03-09 00:07 UTC (History)
0 users

See Also:


Attachments
pfstat.diff (1.08 KB, patch)
2004-03-08 23:40 UTC, Max Laier
no flags Details | Diff
spamd.diff (780 bytes, patch)
2004-03-08 23:40 UTC, Max Laier
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Max Laier 2004-03-08 23:40:13 UTC
	Update dependencies as pf is now part of the base system.

Fix: Note: portlint WARNS about this, but I don't know how to do it
	another/better way. Open to suggestions. It builds okay however.
	
	Sorry for the bulk update, but this just belongs together.

Index: sysutils/pftop/Makefile
===================================================================
RCS file: /cvsdrop/mlaier/fcvs/ports/sysutils/pftop/Makefile,v
retrieving revision 1.2
diff -u -r1.2 Makefile
--- sysutils/pftop/Makefile	6 Feb 2004 13:12:27 -0000	1.2
+++ sysutils/pftop/Makefile	8 Mar 2004 23:09:49 -0000
@@ -14,17 +14,10 @@
 MAINTAINER=	max@love2party.net
 COMMENT=	Utility for real-time display of statistics for pf
 
-BUILD_DEPENDS=	${LOCALBASE}/include/pf/net/pfvar.h:${PORTSDIR}/security/pf
-.if defined(WITH_ALTQ) && (${WITH_ALTQ} == "yes")
-BUILD_DEPENDS+=${LOCALBASE}/include/pf/altq/altq.h:${PORTSDIR}/security/pf
-.endif
-RUN_DEPENDS=	${LOCALBASE}/modules/pf.ko:${PORTSDIR}/security/pf
-
 MAN8=		pftop.8
 
 MANCOMPRESSED=	no
 
-CFLAGS+=	-I${LOCALBASE}/include/pf
 MAKE_ARGS=	LOCALBASE="${PREFIX}" OSLEVEL=34
 .if defined(WITH_ALTQ) && (${WITH_ALTQ} == "yes")
 CFLAGS+=	-DHAVE_ALTQ=1
@@ -34,6 +27,16 @@
 
 .if ${OSVERSION} < 500000
 IGNORE=		"Only for 5.0 and above"
+.endif
+
+.if ${OSVERSION} < 502106
+BUILD_DEPENDS=	${LOCALBASE}/include/pf/net/pfvar.h:${PORTSDIR}/security/pf
+.if defined(WITH_ALTQ) && (${WITH_ALTQ} == "yes")
+BUILD_DEPENDS+=${LOCALBASE}/include/pf/altq/altq.h:${PORTSDIR}/security/pf
+.endif
+RUN_DEPENDS=	${LOCALBASE}/modules/pf.ko:${PORTSDIR}/security/pf
+
+CFLAGS+=	-I${LOCALBASE}/include/pf
 .endif
 
 PLIST_FILES=	sbin/pftop
--- pftop.diff ends here ---
Comment 1 Oliver Braun freebsd_committer 2004-03-09 00:05:23 UTC
State Changed
From-To: open->closed

Committed, thanks!